if (isServer) then {
  // Random spawn points.
  private _units = playableUnits + switchableUnits;
  private _spawnMarkers = [];
  {
    if (markerType _x == "Empty" && ["start_", _x] call BIS_fnc_inString) then {
      _spawnMarkers append [_x];
    }
  } forEach allMapMarkers;
  {
    if (count _spawnMarkers > 0) then {
      private _r = floor random count _spawnMarkers;
      private _marker = _spawnMarkers select _r;
      private _pos = getMarkerPos _marker;
      private _spawnMarkers = _spawnMarkers deleteAt _r;
      _x setPos _pos;
    }
  } forEach _units;
  // Objective REGROUP.
  OBJ_REGROUP = false;
  while {!OBJ_REGROUP} do {
    sleep 1;
    private _aliveUnits = playableUnits + switchableUnits;
    private _someUnit = selectRandom _aliveUnits;
    private _pass = true;
    {
      if (_x distance _someUnit > 25) then {
        _pass = false;
      };
    } forEach _aliveUnits;
    if (_pass) then {
      OBJ_REGROUP = true;
    };
  };
};
